Description

Like the summary says.
| will attach a screenshot that shows that the buttons "Search","Advanc.." and "Sources" are completely misformed and without text.

My platform is:

openSUSE11.4 with kernel3.0rc5
openjdk6 b22

no additional plugins

History

#1 - 07/11/2011 07:22 AM - unknown unknown

It’s worser than I've thought.

The getting started guide shows that there must be a menubar with FILE... and so on at the top of the Keplr GUI, but as the screenshot shows there is
no menue bar and without it no basic functionallity, which makes Kepler for me near useless.

#3 - 07/11/2011 12:53 PM - Daniel Crawl
How does this error occur? e.g., starting Kepler?

| found a similar exception to the one shown in your console output when | tried to view the documentation for more than one actor. | checked in a fix
for that error; let us know if you still have problems.

#4 - 07/11/2011 01:11 PM - unknown unknown

It’s native on just starting kepler. Nothing to do other. And it is always there.
I've wondering that | am the first that brings this to you.

What your fix affect:

I"am new to kepler(first day!), so | don’t know where to go to get it.
Is there a beta or developer or trunk version/repro?

Can you point me on? Than | test.

Please no compilation journeys;)

#5 - 07/11/2011 02:33 PM - Daniel Crawl
| would try Sun/Oracle's JDK instead of openjdk.

#6 - 07/12/2011 04:04 AM - unknown unknown

Yes, that it is an option, but | do not prefer.
The official cause can be found here:

http://blogs.oracle.com/henrik/entry/moving_to_openjdk_as_the

in which oracle announce that openjdk7 will become the reference implementation of java instead of the sun/oracle jdk, which was it until now(will be
the 28th of this month).

In addition: IBM has started to work on openjdk and only there several month ago.

So the things are moving there.

The other cause is that in linux systems the openjdk is better integrated than the oracle one. AFAIK in debian oracle jdk is not available in the regular
repositories.
On openSUSE it is in the repros, but I've seen the last time only the v6u25 and not the v6u26 and to install it manually is a not so good think->I had
some trouble with that what a oracle database install on my system do with the configurations(bad behavior).

So it might be intended in the future to support also openjdk.
If you want | can do some testing jobs for this for kepler.

#7 - 07/29/2011 11:57 AM - unknown unknown

I son't like it to say, but you have some serious problems with your program:

I"ve tried it with sun jdk6u25 on windows vista ---> the same problem is there, no diff to openjdk!

WoW! There must be a hugh part of all user that try to start first time with kepler that quit is instantly!

Only a suggestion: test some basic behavior of kepler, also on different jdk’s, which kan be done easily with eclipse, you now.
My greetings and good luck.

P.S : | have shown this to Michael Vyskocil, before | tested kepler with sunjdk6u25. He works at openSUSE on java. He also see the problem in your
code and not in the jdk.

#8 - 07/29/2011 12:00 PM - unknown unknown

When | remember right | seen in the documentation that you use MAC OS.
VirtualBox got stable with version 4.1, also for development(l do so). It works also on MacOS and can give you easy access to other platforms.

#9 - 07/29/2011 07:07 PM - Derik Barseghian
Sorry to hear you're still having problems, thanks for reporting them.
Can you tell us which version of kepler you're trying? Are you building from svn trunk, or which version installer did you use?

We develop and test against the 3 main platforms, focusing on OS X, Ubuntu, and Windows (mainly XP and 7). However we've tested and installed
Kepler on Vista many times in the past, and have not seen this problem before.

Someone just tested Fedora with IcedTea and had no problems.

I've just tried kepler on Window XP with oracle's java 1.6.0_26 and can't get this problem to occur.
We'll try to get someone to test on openSUSE and/or Vista soon...

#10 - 07/30/2011 04:37 AM - unknown unknown

Q:Can you tell us which version of kepler you're trying?

A:l have here still kepler2.2.0, from
https://kepler-project.org/users/downloads

The linux variant.

Q:Are you building from
svn trunk, or which version installer did you use?

A:No, I don’t build it by myself until now and | do not use a installer.
| use extract the archiv and execute kepler.sh from shell:

/home/user/Software/kepler-2.2-linux-> ./kepler.sh
#11 - 07/30/2011 04:38 AM - unknown unknown
On vista | have also the file from:

https://kepler-project.org/users/downloads

the windows version.

#12 - 07/31/2011 11:17 PM - Christopher Brooks

Under RedHat, | was able to run Kepler-2.2.0 under Sun JDK 1.6.0_21
However, as expected, OpenJDK 1.6.0 fails

bash-3.2$ java versien

T version"1-6.0"
- DI RurtirneErvi 416,
— Nested Exception ---

Java returned: 1

at org.kepler.build.modules.ModulesTask.execute(ModulesTask.java:106)
at org.kepler.build.runner.Kepler.run(Kepler.java:218)

at org.kepler.build.modules.ModulesTask.execute(ModulesTask.java:102)
at org.kepler.build.runner.Kepler.main(Kepler.java:94)

Caused by: Java returned: 1

at org.apache.tools.ant.taskdefs.Java.execute(Java.java:108)

at org.kepler.build.Run.runSuite(Run.java:309)

at org.kepler.build.Run.run(Run.java:213)

at org.kepler.build.modules.ModulesTask.execute(ModulesTask.java:102)
... 3 more

--- Nested Exception ---

Java returned: 1

at org.apache.tools.ant.taskdefs.Java.execute(Java.java:108)

at org.kepler.build.Run.runSuite(Run.java:309)

at org.kepler.build.Run.run(Run.java:213)

at org.kepler.build.modules.ModulesTask.execute(ModulesTask.java:102)
at org.kepler.build.runner.Kepler.run(Kepler.java:218)

at org.kepler.build.modules.ModulesTask.execute(ModulesTask.java:102)
at org.kepler.build.runner.Kepler.main(Kepler.java:94)

bash-3.2%

It is unfortunate that command that was executed is not returned, nor is the
error message.

Ptolemy II, when run outside of Kepler, starts up fine with OpendDK . . .

#13 - 08/01/2011 04:16 PM - Daniel Crawl

| installed openSUSE 11.4, and had no problems running Kepler 2.2 from the tarball. The default java is:
java version "1.6.0_20"

OpendDK Runtime Environment (IcedTea6 1.9.7) (suse-1.2.1-x86_64)

OpendDK 64-Bit Server VM (build 19.0-b09, mixed mode)

| also tested on Fedora Core 15, and had no problems. The default java is:

java version "1.6.0_22"

OpendDK Runtime Environment (IcedTea6 1.10.2) (fedora-58.1.10.2.fc15-i386)

OpendDK Client VM (build 20.0-b11, mixed mode)

Yes, both of these are IcedTea, instead of vanilla OpendDK. However, IcedTea is the default java distribution for openSUSE 11.4 and FC15. Is there
a reason for not using that?

Christopher, were you testing on RHEL?

It would be nice to fix this for the upcoming 2.3 release, but if it cannot easily be reproduced...

#14 - 08/01/2011 04:22 PM - Christopher Brooks

On sisyphus.eecs.berkeley.edu, we are running:

03/13/2024 3/4



[bldmastr@sisyphus test]$ rpm -qa redhat-release
redhat-release-5Client-5.4.0.3

[bldmastr@sisyphus test]$ cat /etc/redhat-release
Red Hat Enterprise Linux Client release 5.4 (Tikanga)

#15 - 08/02/2011 05:02 PM - Daniel Crawl

| was able to reproduce the original problem (missing menus and blank buttons) by using IcedTea OpenJDK and $LANG set to something other than

‘en_US'. This was also reported in 5270.
As a workaround for Kepler 2.2, it should work if you set SLANG:

export LANG=en_US
Jkepler.sh

Christopher reported not being able to start Kepler using non-lcedTea OpendDK, which is probably a different issue.

#16 - 08/03/2011 07:53 AM - unknown unknown

Huhuhuhuuuuuu, I've tried the workaround in comment 15.
It works here now.

When this is common(and looks like) than there must be indeed many users out there(it was also there on sun/oracle jdk on vista), which did not

come up with kepler.

Thank you Daniel Crawl for not giving up!

#17 - 08/04/2011 09:57 AM - Daniel Crawl
Fixed at r28184.

| was also able to reproduce using Oracle JDK, which does not appear to use $LANG for the locale.

I'll create a separate bug for running with non-lcedTea.

#18 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5438

Files
kepler misformed buttons.jpeg 80.8 KB 07/11/2011 unknown unknown
kepler console output 5.33 KB 07/11/2011 unknown unknown
